%define librepver 0.16.1

Name:		rep-gtk
Summary:	GTK+ binding for librep Lisp environment
Version:	0.18
Release: %mkrel 6
License:	GPL
Group:		Development/GNOME and GTK+
BuildRequires:	libglade2.0-devel 
URL:		http://rep-gtk.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/rep-gtk/%{name}-%{version}.tar.bz2
Patch:		rep-gtk-0.18-gtk2.4.const.patch
Requires:	librep >= %{librepver}
BuildRequires:  librep-devel >= %{librepver}
BuildRequires:  libgcrypt-devel
BuildRequires:	libgnomeui2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
This is a binding of GTK+ for the librep Lisp interpreter.  It is based on 
Marius Vollmer's guile-gtk package (initially version 0.15, updated to 0.17), 
with a new glue-code generator.


%package libglade
#gw rpmlint wants %mklibname
Summary:	Librep binding for the libglade library for loading user interfaces
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}

%description libglade
This is a binding of libglade for the librep Lisp interpreter.  libglade allows 
applications to dynamically load XML descriptions of GTK+ widget hierarchies. 
These hierarchies may be created by the GLADE GUI builder.


%package gnome
Summary:	GNOME binding for librep
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}

%description gnome
This is a binding of the various GNOME libraries for the librep Lisp 
interpreter. It include support for the basic GNOME functions, the GNOME user 
interface widgets, and the GNOME Canvas architecture, and the GNOME version
of libglade.


%prep
%setup -q
%patch -p1

%build

%configure2_5x --with-libglade --with-gnome
make host_type=%{_target_platform}


%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

make install \
  host_type=%{_target_platform} \
  installdir=%{buildroot}%{_libexecdir}/rep/%{_target_platform}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-,root,root,0755)
%doc README README.guile-gtk ChangeLog gtk.defs gdk.defs BUGS
%dir  %{_libexecdir}/rep/%{_target_platform}/gui
%dir %{_libexecdir}/rep/%{_target_platform}/gui/gtk-2
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/gtk.*
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/types.*

%files libglade
%defattr (-,root,root,0755)
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/libglade.*

%files gnome
%defattr (-,root,root,0755)
%doc gnome*.defs examples/gnome-test examples/canvas-test gdk-pixbuf.defs
%{_libexecdir}/rep/%{_target_platform}/gui/gtk-2/gnome*


%changelog
* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 0.18-6mdv2008.0
+ Revision: 56733
- fix buildrequires
- unpack patch
- Import rep-gtk



* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2007.0
- Rebuild

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 0.18-5mdk
- Rebuild
- use mkrel

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.18-4mdk
- from Anders Melchiorsen :
- changed gtk-2.4 fix to the one from 
  http://linuxfromscratch.org/pipermail/blfs-dev/2004-March/005502.html

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.18-3mdk
- replace patch with fix from cvs

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.18-2mdk
- fix source url
- fix buildrequires
- fix build with new gtk

* Sun Aug  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.18-1mdk
- fix buildrequires
- new version

* Sun Jul 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.17-3mdk
- rebuild against current orbit

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.17-2mdk
- rebuild against latest ssl

* Fri Nov 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.17-1mdk
- drop patch
- new version

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Patch0: fix crash when selecting color (bug 87959)
- Recompiled against latest librep

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-1mdk
- Release 0.16

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-5.20020611.1mdk
- new snapshot

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-5.20020524.1mdk
- new snapshot

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-5.20020502.1mdk 
- GNOME 2 cvs snapshot

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.15-4mdk
- rebuilt with libpng3

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-3mdk
- Recompiled against latest librep

* Mon Dec 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-2mdk
- Remove explicit dependency on libraries

* Fri Dec  8 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.15-1mdk
- 0.15

* Wed Nov 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.14-2mdk
- rebuild against (and require) librep-0.13.2

* Fri Sep 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.14-1mdk
- 0.14

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13a-6mdk
- Add support for gdk-pixbuf 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.13a-5mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13a-4mdk
- force version dependencies
- remove Packager

* Thu Jul 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13a-3mdk
- rebuild to fix problems with previous build (macro problems)

* Wed Jul 19 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13a-2mdk
- rebuild for directory changes

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13a-1mdk
- 0.13a
- more macroization

* Tue Jul 11 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13-1mdk
- 0.13

* Sun Jul  9 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12-1mdk
- 0.12
- specfile cleanup
- macroization

* Thu May 11 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.10-2mdk
- add --with-libglade so sawfish will build themer package

* Wed May 10 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.10-1mdk
- 0.10

* Fri Apr 14 2000 Vincent Danen <vdanen@linux-mandrake.com>
- fix groups
- applied helixcode gnome patch

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile cleanups
- 0.9.1

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Jan 30 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
